Page MenuHomePhabricator

Equivalent to Bugzilla's "Users Watching"
Closed, DeclinedPublic

Description

@jeremyb says:

http://www.bugzilla.org/docs/3.0/html/userpreferences.html says:

Bugzilla has a feature called "Users Watching". When you enter one or more comma-delineated user accounts (usually email addresses) into the text entry box, you will receive a copy of all the bugmail those users are sent (security settings permitting). This powerful functionality enables seamless transitions as developers change projects or users go on holiday.

In general, watching allows to share the load for tasks a person is assignee, subscriber or watcher of. Watching the user as a whole allows to achieve the result with a single control, without changing projects or tasks.

  • In most cases, a user will receive notifications out of ad hoc subscriptions and task relations rather than one-size-fits-all subscriptions to a project, as well as file tasks outside of their watched projects. Watching allows to easily follow what they're doing or are supposed to read.
  • Even assuming the person never adds or remove self to cc, nor is added or removed from cc, nor files or is assigned tasks outside of their watched projects, copying all the projects subscriptions is tedious and impossible to reverse cleanly (a manually-curated list of the reasons a project was followed would be needed).

Event Timeline

Qgil created this task.Oct 22 2014, 6:10 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Lowest.
Qgil added a project: Phabricator (Upstream).
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.

I generally like to see usecases for feature requests as I miss a usecase for this one.

Qgil added a comment.Oct 22 2014, 12:44 PM

seamless transitions as developers change projects or users go on holiday

I haven't used this feature myself, but this description above is a usecase.

But why would users be interested in following another user, instead of a project? I'd like to have a good example for that.
In Bugzilla, you cannot easily follow a project (see https://bugzilla.wikimedia.org/show_bug.cgi?id=37105 ) so I see how this was used as a workaround in some cases but I've also received comments by Bugzilla users that this functionality could be interpreted as a mild form of "stalking".

Qgil added a comment.Oct 22 2014, 1:52 PM

Ok, good point. Which reminds me that yes, in the past I have used this feature but not follow someone specific, but one of those "users" that would receive all the bugmail of a specific project. So true, in fact what I wanted was to watch a project, not a person. And if I would need to follow whatever a person was following, I could probably do so by simple watching the projects I need to watch.

About stalking, yes, I can almost predict that this feature request will no be accepted upstream with a reasoning related with user privacy. Note that (iirc) today in Phabricator not even admins can check the personal Herald rules of users.

re user privacy, I think maybe you misunderstand how the bugzilla feature works.

Bugzilla uses your own email prefs in order to decide whether to email. But when watching other users then those prefs are applied to the other user's relationship to bugs in addition to your own relationship.

I'm sure I'd have other usecases at some point and this didn't apply for me with bugzilla but it does apply with phab. With bugzilla I logged into the same account from everywhere (phone, tablet, computers, etc.). I already have a "phone" SUL account in addition to my primary SUL account. I can't associate both with a single phab account. (AFAIK) So I created a second phab account to go with the phone SUL.

I don't want to get double mails. if user watching were available I could set the phone account to get no mail notifs at all and have the main account watch the phone account.

Does this make sense?

In T800#14917, @jeremyb wrote:

re user privacy, I think maybe you misunderstand how the bugzilla feature works.

I'm aware of prefs and rules applied. Still I am aware of a case when a Bugzilla user followed the activity of a certain other user with intentions that I don't consider helpful (dragging into long discussions etc).
(Though Phab allows to see recent user activity by looking at their user page, it's just not pushing notifications of course.)

if user watching were available I could set the phone account to get no mail notifs at all and have the main account watch the phone account.

That sounds like an uncommon usecase. I'd rather attempt to fix that by merging SUL accounts or setting up mail filters on your mail server than implementing some "user watching" in an issue tracker. Plus "watch my other account that is also owned by myself" feels different from a "watch any other account" usecase.

What does "need discussion" mean here?

Currently it needs discussion if this request has good usecases associated. I doubt, jeremyb doesn't. :)

Qgil added a comment.Dec 18 2014, 3:01 PM

Well, this is something that can be decided by whoever volunteers to submit this task upstream. My opinion posted above is still the same, but... good luck! :)

Nemo_bis updated the task description. (Show Details)Dec 21 2014, 4:29 PM
Nemo_bis moved this task from Need Discussion to Ready To Go on the Phabricator (Upstream) board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 8 2016, 2:17 AM
Nemo_bis added a comment.EditedMay 21 2016, 5:20 PM

How does this task "lack consensus" as stated in T135327? The desired feature is very clear, its removal is clearly a regression in functionality, there are multiple people missing it, there is no workaround, nobody objected.

This powerful functionality enables seamless transitions as developers change projects or users go on holiday. [...] In general, watching allows to share the load for tasks a person is assignee, subscriber or watcher of.

I did not and do not buy this.

  • In Bugzilla you only got "all or nothing" when following the activity of a user. You also got every user activity in any task that might not interest you but only personally interests the user regardless of planning to get involved on that task or just following its progress via notifications.
  • In Phabricator, developers can watch projects. This functionality did not exist in Bugzilla as we did not have the "ComponentWatching" extension installed (T39105). Many Bugzilla installations out there use fake virtual default assignees per component (like $product-$component-owner@$projectname to allow adding those fake assignees to their personal Bugzilla user watchlist to work around the missing functionality to watch products and components.
  • Phabricator allows users to mark themselves as non-available via calendar items so a red dot will be displayed in front of their names. This functionality did not exist in Bugzilla.
  • Phabricator allows to see a user's "Recent activity" log on the user's page on the web (though no feed support for that). This functionality did not exist in Bugzilla.
  • Same privacy concerns apply as for T2470.
In T800#2315233, Nemo_bis wrote:

How does this task "lack consensus" as stated in T135327? [...] its removal is clearly a regression in functionality

I'd still like to see common use cases why people are interested in following the activity of a specific person instead of the activity in specific projects or tasks. I'm asking why Phabricator functionality listed above which was not available in Bugzilla does not suffice for those use cases.

In T800#2315233, Nemo_bis wrote:

there are multiple people missing it

So far it seems that two people expressed their interest in this functionality.

No feedback to T800#2315922. Hence proposing to decline this task.

Aklapper closed this task as Declined.Aug 11 2018, 12:48 PM

In nearly four years of Wikimedia Phabricator, two users expressed interest in this functionality (though their use cases are not clear to me).
Declining this task as there are no plans to implement this.